> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sequencehq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Seat balances by Customer

> List Seat balances grouped by Customer and seat type.



## OpenAPI

````yaml usage.latest.product.live GET /seat-balances
openapi: 3.0.0
info:
  title: Usage
  description: Manage usage events and metrics
  version: '0.1'
servers:
  - url: https://dev.seqhq.io/api
    description: DEV
  - url: https://sandbox.sequencehq.com/api
    description: SANDBOX
  - url: https://eu.sequencehq.com/api
    description: PRODUCTION
security: []
tags: []
paths:
  /seat-balances:
    servers: []
    parameters: []
    get:
      tags:
        - Seat Metrics
      summary: List Seat balances by Customer
      description: List Seat balances grouped by Customer and seat type.
      operationId: getSeatBalances
      parameters:
        - name: Authorization
          in: header
          description: >-
            Your [API credentials](/reference/authentication). Eg. `Basic
            {credentials}`.
          required: true
          schema:
            type: string
        - name: excludeZeroQuantity
          in: query
          description: Exclude customers with no seats usage. Defaults to false.
          required: false
          schema:
            type: boolean
        - name: customerAliases
          in: query
          description: Filter seat balances by customer alias
          required: false
          schema:
            type: string
        - name: customerIds
          in: query
          description: Filter seat balances by customer IDs. Max 25 IDs.
          required: false
          schema:
            type: string
        - name: Sequence-Version
          in: header
          description: Use this header to select an API version
          required: false
          schema:
            type: string
            enum:
              - '2024-07-30'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/ListCustomerSeatBalancesEndpointListCustomerSeatBalancesPaginatedResponseModel
                example:
                  items:
                    - id: d82010a6-6835-41f8-9dd3-6f858f617f35
                      sequenceAccountId: 806460ce-050d-45e4-8d22-b403a523b866
                      legalName: Acme Corp
                      customerAliases:
                        - acme
                      total: 10
                      changeTimestamp: '2022-06-28T16:47:00Z'
                      balances:
                        - seatType: admin
                          total: 10
                          changeTimestamp: '2022-06-28T16:47:00Z'
                  pagination:
                    after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
                    before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
                    totalResultSize: 10
              examples:
                ListCustomerSeatBalancesEndpointListCustomerSeatBalancesPaginatedResponseModel:
                  summary: ''
                  value:
                    items:
                      - id: d82010a6-6835-41f8-9dd3-6f858f617f35
                        sequenceAccountId: 806460ce-050d-45e4-8d22-b403a523b866
                        legalName: Acme Corp
                        customerAliases:
                          - acme
                        total: 10
                        changeTimestamp: '2022-06-28T16:47:00Z'
                        balances:
                          - seatType: admin
                            total: 10
                            changeTimestamp: '2022-06-28T16:47:00Z'
                    pagination:
                      after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
                      before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
                      totalResultSize: 10
        '400':
          description: Bad Request
          content: {}
        '401':
          description: Unauthorized
          content: {}
        '500':
          description: Internal Server Error
          content: {}
components:
  schemas:
    ListCustomerSeatBalancesEndpointListCustomerSeatBalancesPaginatedResponseModel:
      required:
        - items
        - pagination
      type: object
      example:
        items:
          - id: d82010a6-6835-41f8-9dd3-6f858f617f35
            sequenceAccountId: 806460ce-050d-45e4-8d22-b403a523b866
            legalName: Acme Corp
            customerAliases:
              - acme
            total: 10
            changeTimestamp: '2022-06-28T16:47:00Z'
            balances:
              - seatType: admin
                total: 10
                changeTimestamp: '2022-06-28T16:47:00Z'
        pagination:
          after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
          before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
          totalResultSize: 10
      properties:
        items:
          type: array
          description: Seat balances
          example:
            - id: d82010a6-6835-41f8-9dd3-6f858f617f35
              sequenceAccountId: 806460ce-050d-45e4-8d22-b403a523b866
              legalName: Acme Corp
              customerAliases:
                - acme
              total: 10
              changeTimestamp: '2022-06-28T16:47:00Z'
              balances:
                - seatType: admin
                  total: 10
                  changeTimestamp: '2022-06-28T16:47:00Z'
          items:
            $ref: '#/components/schemas/CustomerSeatBalances'
        pagination:
          $ref: '#/components/schemas/PaginationMeta'
    CustomerSeatBalances:
      required:
        - balances
        - changeTimestamp
        - customerAliases
        - id
        - legalName
        - sequenceAccountId
        - total
      type: object
      example:
        id: d82010a6-6835-41f8-9dd3-6f858f617f35
        sequenceAccountId: 806460ce-050d-45e4-8d22-b403a523b866
        legalName: Acme Corp
        customerAliases:
          - acme
        total: 10
        changeTimestamp: '2022-06-28T16:47:00Z'
        balances:
          - seatType: admin
            total: 10
            changeTimestamp: '2022-06-28T16:47:00Z'
      properties:
        id:
          type: string
          description: Customer ID
          example: d82010a6-6835-41f8-9dd3-6f858f617f35
        sequenceAccountId:
          type: string
          description: Sequence Account ID
          example: 806460ce-050d-45e4-8d22-b403a523b866
        legalName:
          type: string
          description: Legal name
          example: Acme Corp
        customerAliases:
          type: array
          example:
            - acme
          items:
            type: string
        total:
          type: integer
          description: Total seats balance
          example: 10
        changeTimestamp:
          type: string
          description: Timestamp of when the customer seats last changed
          example: '2022-06-28T16:47:00Z'
        balances:
          type: array
          description: Seat balance per seat type
          example:
            - seatType: admin
              total: 10
              changeTimestamp: '2022-06-28T16:47:00Z'
          items:
            $ref: '#/components/schemas/SeatBalance'
    PaginationMeta:
      type: object
      description: Results pagination
      example:
        after: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
        before: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
        totalResultSize: 10
      properties:
        after:
          type: string
          description: Cursor for the page after this (if it exists)
          example: MDE4NDUyNjYtNmQ2NC03N2M4LTlhZGYtNDQ4N2Q5NGQxNDU3
        before:
          type: string
          description: Cursor for the page before this (if it exists)
          example: MDE4NDQyMWUtYTljYy03MTFiLWFmOTMtYmYwNTExZDRkODMz
        totalResultSize:
          type: integer
          description: Total number of entries across all pages
          format: int64
          example: 10
    SeatBalance:
      required:
        - changeTimestamp
        - seatType
        - total
      type: object
      example:
        seatType: admin
        total: 10
        changeTimestamp: '2022-06-28T16:47:00Z'
      properties:
        seatType:
          type: string
          description: Seat type
          example: admin
        total:
          type: integer
          description: Total seats for this seat type
          example: 10
        changeTimestamp:
          type: string
          description: Timestamp of change
          example: '2022-06-28T16:47:00Z'

````